Bug 315671 - Cannot opt out of using the DVD in pirut
Cannot opt out of using the DVD in pirut
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-02 13:53 EDT by Jesse Keating
Modified: 2013-01-09 21:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 16:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Pirut error. (227.93 KB, application/ogg)
2007-10-02 13:53 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2007-10-02 13:53:21 EDT
The first time pirut is launched (or any time after 'yum clean all'), pirut will
demand that I insert the DVD or else it won't continue.  See video I'll attach.
Comment 1 Jesse Keating 2007-10-02 13:53:21 EDT
Created attachment 213741 [details]
Pirut error.
Comment 2 Jeremy Katz 2007-10-02 16:42:29 EDT
Slightly hacky, but functional method of getting into the repository editor so
that you can disable the dvd if you don't have it available while not adding
strings.

Longer-term, I want to make it so that failing to fetch repository information
lets you edit the repo config, but that'll involve some string changes and
reworking the flow a little bit.
Comment 3 Will Woods 2007-10-22 16:44:37 EDT
Current pirut requests the DVD when it starts, but allows you to edit the repo
list; you can disable the install media and it starts up and installs packages
just fine.

Note You need to log in before you can comment on or make changes to this bug.